Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class TextExtractors

    java.lang.Object
      org.modeshape.jcr.TextExtractors

    @Immutable
    public final class TextExtractors

extends Object

Facility for managing `TextExtractor` instances and submitting text extraction work

Nested Class Summary
`protected class` | `TextExtractors.Worker` A unit of work which extracts text from a binary value, stores that text in a store and notifies a latch that the extraction operation has finished.

Constructor Summary
`TextExtractors(JcrRepository.RunningState repository, RepositoryConfiguration.TextExtracting extracting)`

Method Summary
`void` | `extract(BinaryStore store, BinaryValue binaryValue, TextExtractor.Context context)`
`String` | `extract(InMemoryBinaryValue inMemoryBinaryValue, TextExtractor.Context context)`
`boolean` | `extractionEnabled()`
`CountDownLatch` | `getWorkerLatch(BinaryKey binaryKey, boolean createIfMissing)`
`protected void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextExtractors

    public TextExtractors(JcrRepository.RunningState repository,
                          RepositoryConfiguration.TextExtracting extracting)

Method Detail

### shutdown

    protected void shutdown()

### extractionEnabled

    public boolean extractionEnabled()

### extract

    public String extract(InMemoryBinaryValue inMemoryBinaryValue,
                          TextExtractor.Context context)

### extract

    public void extract(BinaryStore store,
                        BinaryValue binaryValue,
                        TextExtractor.Context context)

### getWorkerLatch

    public CountDownLatch getWorkerLatch(BinaryKey binaryKey,
                                         boolean createIfMissing)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.